python-geoip_1.3.2-1build4_i386.deb


Advertisement

Description

python-geoip - Python bindings for the GeoIP IP-to-country resolver library

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Universe i386
Package filename python-geoip_1.3.2-1build4_i386.deb
Package name python-geoip
Package version 1.3.2
Package release 1build4
Package architecture i386
Package type deb
Category universe/python
Homepage -
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 18.77 KB
Installed size 67.00 KB
GeoIP is a library that enables the user to find the country that any
IP address or hostname originates from, using a database instead of
DNS.
This package contains the Python bindings for GeoIP, allowing to use
this library within a Python program.

Alternatives

Package Version Architecture Repository
python-geoip_1.3.2-1build4_amd64.deb 1.3.2 amd64 Ubuntu Universe
python-geoip - - -

Requires

Name Value
geoip-database -
libc6 >= 2.4
libgeoip1 -
python << 2.8
python >= 2.7~
python:any << 2.8
python:any >= 2.7~

Download

Type URL
Mirror archive.ubuntu.com
Binary Package python-geoip_1.3.2-1build4_i386.deb
Source Package python-geoip

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python-geoip deb package:
    # sudo apt-get install python-geoip

Files

Path
/usr/lib/python2.7/dist-packages/GeoIP.i386-linux-gnu.so
/usr/lib/python2.7/dist-packages/GeoIP-1.3.2.egg-info/PKG-INFO
/usr/lib/python2.7/dist-packages/GeoIP-1.3.2.egg-info/dependency_links.txt
/usr/lib/python2.7/dist-packages/GeoIP-1.3.2.egg-info/top_level.txt
/usr/share/doc/python-geoip/changelog.Debian.gz
/usr/share/doc/python-geoip/copyright

Changelog

2017-08-04 - Michael Hudson-Doyle <michael.hudson@ubuntu.com>
python-geoip (1.3.2-1build4) artful; urgency=medium
* No change rebuild to drop Python 3.5 support.
2017-05-12 - Michael Hudson-Doyle <michael.hudson@ubuntu.com>
python-geoip (1.3.2-1build3) artful; urgency=medium
* No change rebuild to add Python 3.6 support.
2016-01-18 - Matthias Klose <doko@ubuntu.com>
python-geoip (1.3.2-1build2) xenial; urgency=medium
* No-change rebuild to drop python3.4 support.
2015-07-22 - Steve Langasek <steve.langasek@ubuntu.com>
python-geoip (1.3.2-1build1) wily; urgency=medium
* No-change rebuild for python3.5 transition
2014-09-15 - Scott Kitterman <scott@kitterman.com>
python-geoip (1.3.2-1) unstable; urgency=medium
[ Jakub Wilk ]
* Add Vcs-* fields to debian/control. 
[ Scott Kitterman ]
* New upstream release
- Bump minimum libgeoip-dev build-dep version to >= 1.4.7
- Add build-depends on python*-setuptools
- Update debian/copyright (document switch to LGPL)
* Agreed swap of DPMT to maintainer
* Add myself to uploaders
* Switch from CDBS/pysupport to dh/dh-python
- Replace debian/rules (override dh_autotest since tests require data
that is not packaged/available during build)
- Drop cdbs and python-support from build-depends
- Add dh-python to build-depends
- Remove debian/pycompat and debian/pyversions
* Add support for python3:
- Build --with python3
- Add python3-geoip to debian/control
- Add X-Python3-Version: >= 3.3 to debian/control
* Remove unneeded python:Provides
* Bump compat/debhelper version requirement to 9
* Update standards version to 3.9.5 without further change
* Add debian/watch
2009-11-30 - Josselin Mouette <joss@debian.org>
python-geoip (1.2.4-2) unstable; urgency=low
* Add the Python modules team to uploaders.
* Depend on geoip-database. Closes: #558474.
2009-06-24 - Josselin Mouette <joss@debian.org>
python-geoip (1.2.4-1) unstable; urgency=low
* New upstream release.
* Remove patch to py_GeoIP.c, upstream introduced a different fix.
* Fix spelling of Python.
* Refer to versioned GPL.
2006-06-30 - Josselin Mouette <joss@debian.org>
python-geoip (1.2.1-2) unstable; urgency=low
* Standards version is 3.7.2.
* Migrate to the new python policy (closes: #373540).
+ Bump build dependencies.
+ Use DEB_PYTHON_SYSTEM=pysupport.
+ pycompat=2, pyversions=2.0-
* Update FSF address.
2005-11-07 - Josselin Mouette <joss@debian.org>
python-geoip (1.2.1-1) unstable; urgency=low
* New upstream release.
* Standards version is 3.6.2.
2005-03-15 - Josselin Mouette <joss@debian.org>
python-geoip (1.2.0-2) unstable; urgency=low
* copyright: correct the license, it is now GPL.
* py_GeoIP.c: patch from Bastian Kleineidam <calvin@debian.org> to
fix an error when running on a wrong DB (closes: #298142).
* examples: install the sample scripts.

See Also

Package Description
python-geojson_2.3.0-1_all.deb Python 2 bindings and utilities for GeoJSON
python-geolinks_0.2.0-2_all.deb Python 2 Library for using geospatial links (catalogue interoperablity)
python-geometry-msgs_1.12.5-3_all.deb Messages relating to Robot OS geometry, Python interface
python-geopandas-doc_0.3.0-1_all.deb Documentation for the geopandas library
python-geopandas_0.3.0-1_all.deb Python tools for geographic data
python-geopy_1.11.0+ds1-1_all.deb geocoding toolbox for Python
python-germinate_2.28_all.deb expand dependencies in seed packages (Python 2 interface)
python-gerritlib_0.8.0-1_all.deb client library for accessing Gerrit with Python
python-getdns-doc_1.0.0~b1-1build4_all.deb modern asynchronous DNS API (documentation)
python-getdns_1.0.0~b1-1build4_i386.deb modern asynchronous DNS API (python bindings)
python-getfem++_5.2+dfsg1-6_i386.deb Python interface to the GETFEM++ generic finite element library
python-gevent-doc_1.2.2-2_all.deb gevent is a coroutine-based Python networking library - documentation
python-gevent-websocket_0.9.3-1_all.deb websocket library for the gevent networking library
python-gevent_1.2.2-2_i386.deb gevent is a coroutine-based Python networking library
python-gflags_1.5.1-5_all.deb implementation of the Google command line flags module - Python 2.x
Advertisement
Advertisement